Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Stiegenlauf programmieren

  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Thema geschlossen  Thema geschlossen!
Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Stiegenlauf programmieren (877 mal gelesen)
MONKMUTU
Mitglied
Techniker


Sehen Sie sich das Profil von MONKMUTU an!   Senden Sie eine Private Message an MONKMUTU  Schreiben Sie einen Gästebucheintrag für MONKMUTU

Beiträge: 11
Registriert: 20.12.2012

Acad Mechanical 2011,
Windows 7-SP1-32Bit,
HP Compaq 6000 Pro MT PC
Intel Core Duo CPU E8000
3.00 Ghz,4GB RAM
NVIDIA Quadro 600

erstellt am: 07. Jan. 2013 10:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
weiß jemand wie bzw. womit man einen Stufenlauf(2D) programmieren kann?

z.B.: Ich will die Länge(4600mm) und die Steigung(32°) eingeben und es soll die Stufenanzahl automatisch
berechnet werden und auf dem akt. Layer gezeichnet werden.

Hat jemand eine Idee oder sogar eine Lösung.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13413
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 07. Jan. 2013 10:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für MONKMUTU 10 Unities + Antwort hilfreich

jo ... <<KLICK>>  .. für den Anfang ..

------------------
Also ich finde Unities gut ... und andere sicher auch
---------------------------------------
  - Thomas -          
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

MONKMUTU
Mitglied
Techniker


Sehen Sie sich das Profil von MONKMUTU an!   Senden Sie eine Private Message an MONKMUTU  Schreiben Sie einen Gästebucheintrag für MONKMUTU

Beiträge: 11
Registriert: 20.12.2012

Acad Mechanical 2011,
Windows 7-SP1-32Bit,
HP Compaq 6000 Pro MT PC
Intel Core Duo CPU E8000
3.00 Ghz,4GB RAM
NVIDIA Quadro 600

erstellt am: 08. Jan. 2013 13:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


StufenModel.pdf

 
Hallo,

habe folgenden Lisp-Code jedoch benötige ich jetzt eine kleine Erweiterung.- siehe Zeichung

Wer kann mir helfen?


(defun C:st (/ p1 p2 os flag anz x y ap epy epx)
  (command "_.LINE" pause pause "")
  (setq p1 (trans (cdr (assoc 10 (entget (entlast)))) 0 1)
p2 (trans (cdr (assoc 11 (entget (entlast)))) 0 1)
os (getvar "osmode")
  )
  (entdel (entlast))
  (setvar "osmode" 0)
  (setq flag T)
  (while flag
    (setq anz (getint "\n Anzahl der Steigungen eingeben: "))
    (if (> anz 0)
      (setq flag nil)
      )
    )
  (setq x   (/ (- (car p1) (car p2)) anz)
y   (/ (- (cadr p1) (cadr p2)) anz)
ap  p2
  )
  (command "_pline" ap)
  (repeat anz
    (setq epy (list (car ap) (+ y (cadr ap)))
  epx (list (+ x (car epy)) (cadr epy))
  ap  epx
    )
    (command epy epx)
  )
  (command "")
  (setvar "osmode" os)
  (princ (strcat "\n  Breite: "
(rtos (abs x))
"    Höhe: "
(rtos (abs y))
"     Geschoßhöhe: "
(rtos (abs (- (cadr p1) (cadr p2))))
)
  )
  (princ)
)
;
(defun C:st+ (/ p1 p2 os flag anz x y ap epy epx)
  (command "_.LINE" pause pause "")
  (setq p1 (trans (cdr (assoc 10 (entget (entlast)))) 0 1)
p2 (trans (cdr (assoc 11 (entget (entlast)))) 0 1)
os (getvar "osmode")
  )
  (entdel (entlast))
  (setvar "osmode" 0)
  (setq flag T)
  (while flag
    (setq anz (getint "\n Anzahl der Steigungen eingeben: "))
    (if (> anz 0)
      (setq flag nil)
      )
    )
  (setq x   (/ (- (car p1) (car p2)) (1- anz))
y   (/ (- (cadr p1) (cadr p2)) anz)
ap  p2
  )
  (command "_pline" ap)
  (repeat (1- anz)
    (setq epy (list (car ap) (+ y (cadr ap)))
  epx (list (+ x (car epy)) (cadr epy))
  ap  epx
    )
    (command epy epx)
  )
  (command p1 "")
  (setvar "osmode" os)
  (princ (strcat "\n  Breite: "
(rtos (abs x))
"    Höhe: "
(rtos (abs y))
"     Geschoßhöhe: "
(rtos (abs (- (cadr p1) (cadr p2))))
)
  )
  (princ)
)


[MODedit] >> hier << geht's weiter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag öffnen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz